#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.18
visibility:           public
id:                   hledger-lib-1.18-1yTsUHFlSt9GLQDlyEP4bA
key:                  hledger-lib-1.18-1yTsUHFlSt9GLQDlyEP4bA
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  092ad78e91a323f0b367e6de83075ca8
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:       Text.Megaparsec.Custom Paths_hledger_lib
import-dirs:          /usr/lib/ghc-8.10.1/site-local/hledger-lib-1.18
library-dirs:         /usr/lib/ghc-8.10.1/site-local/hledger-lib-1.18
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/hledger-lib-1.18
hs-libraries:         HShledger-lib-1.18-1yTsUHFlSt9GLQDlyEP4bA
depends:
    Decimal-0.5.1-7u7TBbBEHoFCcoqCqs64K1
    Glob-0.10.0-Cl2CUrBg9CPIvvR7OmkTfI
    aeson-1.5.1.0-ITdOogETdbF7QpA0ZzM26I
    aeson-pretty-0.8.8-14fmhu1D11939m84LnFWlq
    ansi-terminal-0.10.3-5vk5RxWeM0oExYuXrKVvGT array-0.5.4.0
    base-4.14.0.0 base-compat-batteries-0.11.1-FKhdLPzlqPMEzPCOSuMlMX
    blaze-markup-0.8.2.5-E0VoL1TqmRy2UxY2gFpx0K bytestring-0.10.10.0
    call-stack-0.2.0-5eE8F494tpe7cIi6gJMb8p
    cassava-0.5.2.0-6AShi4P7VzECTNNE7ne5Yu
    cassava-megaparsec-2.0.1-AYblyqHdjlVHRXDnbJvZdf
    cmdargs-0.10.20-5yLBsRitu2lKoUCxdH99aC containers-0.6.2.1
    data-default-0.7.1.1-7DMDU8xt4e9EgbtAKNSosD deepseq-1.4.4.0
    directory-1.3.6.0 extra-1.7.3-CwLlfJ5M6NDF9hQ0sU7WrY
    fgl-5.7.0.2-KiilrHqxll25JL3VIPbIYF
    file-embed-0.0.12.0-2N30h2jV55M9hEI1fjRZ9w filepath-1.4.2.1
    hashtables-1.2.3.4-AjHXJuDYTJ5La9Edg0myzZ
    megaparsec-8.0.0-JmMEPk8btRQIUxU6zgVI5L mtl-2.2.2
    old-time-1.1.0.3-JoYnfsOPb5U42beoXLbXf6 parsec-3.1.14.0
    parser-combinators-1.2.1-3iWCRg2UQJfK48MB7cEEXE
    pretty-show-1.10-5aohyDmEADG9yJ0U7kMN1J
    regex-tdfa-1.3.1.0-HPvdYMAdCmlIUvSVzIJAm1
    safe-0.3.19-CK0lfIX5mWD7fu30IXX07t
    split-0.2.3.4-FYO06OkuhB2LWIXP7VeMLU
    tabular-0.2.2.7-2G81cYqDwvL63xzCtzigcl
    tasty-1.3.1-7YvHSVMcpcAEr0eEDFujPQ
    tasty-hunit-0.10.0.2-DwXKgoeUO1K3znQtpyInPV
    template-haskell-2.16.0.0 text-1.2.3.2 time-1.9.3
    timeit-2.0-G1rO4n9EY636waOAdcWrR transformers-0.5.6.2
    uglymemo-0.1.0.1-DsrHcnYNurj4qkvghV67BN
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

